---
search:
  tags:
    - Tax Groups V2
    - PATCH
seo:
  description: >-
    Bulk-patches tax groups by id. Successful entities are… Reference for the
    PATCH /api/v2/{team_slug}/{app_slug}/tax-groups endpoint in the Management
    API v2.
sidebar:
  label: Update tax groups
  badge: PATCH
title: Update tax groups
type: openapi-operation
---
Bulk-patches tax groups by id. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/tax-groups`

**Request body** (`application/json`, required)

- `tax_groups` (PatchTaxGroupItem[], required)

Request body example:

```json
{
  "tax_groups": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "description": "string",
      "is_default": true
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "description": "string",
      "is_default": true,
      "markets": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string",
          "locale": "string",
          "currency_code": "string",
          "active": true,
          "country_codes": [
            "string"
          ],
          "country_tax_percentages": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "country_code": "string",
              "tax_percentage": 0.1,
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "slug": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
